Page MenuHomePhabricator

Archive the LiveTranslate extension
Closed, ResolvedPublicRequest

Description

Reason:

Looking at Live Translate documentation, it seems all its feature are now part of Translate and ContentTranslation.

LiveTranslate does not seem to be maintained anymore, the last code is from September 2011.

Details

Related Gerrit Patches:
integration/config : master[LiveTranslate] Archive extension
mediawiki/extensions/LiveTranslate : masterArchive extension
translatewiki : master[LiveTranslate] Archive extension
mediawiki/extensions : master[LiveTranslate] Archive extension

Event Timeline

hashar created this task.Jun 5 2018, 11:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2018, 11:56 AM

@Nikerabbit @Raymond Do you agree this extension is no longer needed and that can be archived? Thanks.

I have never used this extension. It serves a different use case from Translate or ContentTranslation, so it is not made obsolete by them. Rather, browsers might include this functionality built-in now. You can ask the authors of the extension.

I'm not a fan of this extension, but why archive an extension which is seemingly still working (there is no indication that it doesn't)?

hashar added a comment.Jun 9 2018, 8:22 PM

It had no code update since 2011 as far as I could tell from the git log. Wikiapiary shows it is only got used on one wiki ( https://wikiapiary.com/wiki/Extension:Live_Translate ) and it is not even reacheable nowadays. So most probably nobody is using this extension.

It can still be restored eventually if there is an interest in it.

Fine by me. I think - yes, I don't think anyone has used this extension in a while. @JeroenDeDauw - what do you think?

Vvjjkkii renamed this task from Archive the LiveTranslate extension to bmbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: MarcoAurelio, Aklapper.
CommunityTechBot renamed this task from bmbaaaaaaa to Archive the LiveTranslate extension.Jul 1 2018, 9:12 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
MarcoAurelio triaged this task as Low priority.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptFeb 16 2020, 12:43 PM

Fine by me. I think - yes, I don't think anyone has used this extension in a while. @JeroenDeDauw - what do you think?

I have left @JeroenDeDauw a message about this at https://www.mediawiki.org/wiki/Topic:Vgwg7g8ucwa8judu.

Dinoguy1000 updated the task description. (Show Details)Feb 16 2020, 1:39 PM
Dinoguy1000 added a project: translatewiki.net.

Thanks but I don't need the overly-detailed instructions.

Thanks but I don't need the overly-detailed instructions.

There are items in the longer instructions that aren't present in the shorter (older) ones. If you don't need specific instructions for each item that's fine, but I don't see much reason to roll back the whole thing, especially when all the task-specific details had already been filled out by someone else.

Change 576935 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions@master] [LiveTranslate] Archive extension

https://gerrit.wikimedia.org/r/576935

Change 576935 merged by MarcoAurelio:
[mediawiki/extensions@master] [LiveTranslate] Archive extension

https://gerrit.wikimedia.org/r/576935

Change 576936 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[integration/config@master] [LiveTranslate] Archive extension

https://gerrit.wikimedia.org/r/576936

Mentioned in SAL (#wikimedia-releng) [2020-03-04T19:53:57Z] <hauskatze> GitHub: extension-LiveTranslate mirror deleted refs. T196452

Change 576939 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[translatewiki@master] [LiveTranslate] Archive extension

https://gerrit.wikimedia.org/r/576939

Change 576939 merged by jenkins-bot:
[translatewiki@master] [LiveTranslate] Archive extension

https://gerrit.wikimedia.org/r/576939

Change 576941 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/LiveTranslate@master] Archive extension

https://gerrit.wikimedia.org/r/576941

Change 576941 merged by MarcoAurelio:
[mediawiki/extensions/LiveTranslate@master] Archive extension

https://gerrit.wikimedia.org/r/576941

Change 576936 merged by jenkins-bot:
[integration/config@master] [LiveTranslate] Archive extension

https://gerrit.wikimedia.org/r/576936

Mentioned in SAL (#wikimedia-releng) [2020-03-04T22:15:15Z] <James_F> Zuul: Archive CI for LiveTranslate T196452

MarcoAurelio closed this task as Resolved.Wed, Mar 4, 10:29 PM
MarcoAurelio moved this task from working on to cabinet on the User-MarcoAurelio board.